{* Smarty *}
{if $gedcom}
<h3>{$smarty.const.LN_INCOMPLETE_GEDCOM_EXPORTS}</h3>
{* To enable AJAX this table must have an id of "gedcoms" and each gedcom must be between it's own tbody tags *}
<table id="gedcoms">
<thead>
<tr>
	<th>{$smarty.const.LN_GEDCOM}</th>
	<th>{$smarty.const.LN_SIZE}</th>
	<th>{$smarty.const.LN_DATE}</th>
	<th></th>
	<th></th>
</tr>
</thead>
{foreach from=$gedcom item=gd key=k}
<tbody>
	<tr>
		<td rowspan="2">{$k}</td>
		<td rowspan="2">{$gd.size}</td>
		<td rowspan="2">{$gd.last}</td>
		<td>{if $gd.complete}<div class="complete warning">{$gd.complete}</div>{/if}</td>
		<td rowspan="2">
			<a href="{$smarty.const.CF_BASE_URL}download/gedcom/{$k}">{$smarty.const.LN_DOWNLOAD}</a><br />
			<a href="{$smarty.const.CF_BASE_URL}deletegedcom/{$k}">{$smarty.const.LN_DELETE}</a>
		</td>
	</tr>
	<tr>
		<td>
			{if $gd.complete == $smarty.const.LN_NO}
				<form action="{$smarty.const.CF_BASE_URL}export" method="post"><input type="hidden" name="s" value="1" /><input type="hidden" name="gd" value="{$k}" /><input type="hidden" name="tr" value="{$gd.tid}" /><input type="submit" name="submit" value="{$smarty.const.LN_CONTINUE}" /></form>
			{/if}
		</td>
	</tr>
</tbody>
{/foreach}
</table>{/if}
{if $tree}
<h3>{$smarty.const.LN_INCOMPLETE_GEDCOM_IMPORTS}</h3>
{* To enable AJAX this table must have an id of "trees" and each tree must be between it's own tbody tags *}
<table id="trees">
<thead>
	<tr>
		<th>{$smarty.const.LN_NAME}</th>
		<th>{$smarty.const.LN_GEDCOM}</th>
		<th></th>
	</tr>
</thead>
{foreach from=$tree item=tree key=k}
<tbody>
	<tr>
		<td>{$tree.name}</a></td>
		<td>{if $tree.file}{$tree.file} ({$tree.software} - {$tree.charset}){/if}</td>
		<td>{if $tree.complete}<div class="complete warning">{$tree.complete}</div>{/if}</td>
	</tr>
	<tr>
		<td><strong>{$smarty.const.LN_LAST_UPDATED}:</strong> {$tree.last}</td>
		<td>
			<strong>{$smarty.const.LN_CONC_SPACES_SHORT}</strong> {$tree.spaces}<br />
			<strong>{$smarty.const.LN_SPFX_COUNT_SHORT}:</strong> {$tree.spfx_count}<br />
			<strong>{$smarty.const.LN_IMPORT_OBJE_SHORT}:</strong> {$tree.media}<br />
			<strong>{$smarty.const.LN_MEDIA_LEVELS_SHORT}:</strong> {$tree.media_levels}
		</td>
		<td>
			{if $tree.process == 1}
				<form action="{$smarty.const.CF_BASE_URL}import" method="post"><input type="hidden" name="s" value="1" /><input type="hidden" name="gd" value="{$tree.file}" /><input type="hidden" name="tr" value="{$k}" /><input type="hidden" name="rs" value="1" /><input type="hidden" name="nrp" value="0" /><input type="submit" name="submit" value="{$smarty.const.LN_CONTINUE}" /></form>
			{elseif $tree.process == 2}
				<form action="{$smarty.const.CF_BASE_URL}import" method="post"><input type="hidden" name="s" value="1" /><input type="hidden" name="gd" value="{$tree.file}" /><input type="hidden" name="tr" value="{$k}" /><input type="hidden" name="rs" value="0" /><input type="hidden" name="nrp" value="1" /><input type="submit" name="submit" value="{$smarty.const.LN_CONTINUE}" /></form>
			{/if}
			{if $tree.process == 3}
				<a href="{$smarty.const.CF_BASE_URL}deletetree/{$k}">{$smarty.const.LN_CONTINUE}</a>
			{else}
				<a href="{$smarty.const.CF_BASE_URL}deletetree/{$k}">{$smarty.const.LN_DELETE}</a>
			{/if}
		</td>
	</tr>
</tbody>
{/foreach}
</table>{/if}
{if $user}
<h3>{$smarty.const.LN_UNAPPROVED_USERS}</h3>
{* To enable AJAX this table must have an id of "users" and each user must be between it's own tbody tags *}
<table id="users">
<thead>
	<tr>
		<th>{$smarty.const.LN_USER}</th>
		<th>{$smarty.const.LN_DATE}</th>
		<th>{$smarty.const.LN_USER_TYPE}</th>
		<th>{$smarty.const.LN_APPROVED}</th>
	</tr>
</thead>
{foreach from=$user item=user key=k}
<tbody>
	<tr>
		<td><strong><a href="{$smarty.const.CF_BASE_URL}edituser/{$k}">{$user.username}</a></strong></td>
		<td>{$user.date}</td>
		<td>{$user.type}</td>
		<td>{if $user.approved}{$smarty.const.LN_YES}{else}{$smarty.const.LN_NO}{/if}</td>
	</tr>
	<tr>
		<td>
			<strong>{$smarty.const.LN_EMAIL}:</strong> <a href="mailto:{$user.email}">{$user.email}</a><br />
			<strong>{$smarty.const.LN_ADDRESS}:</strong> {$user.address1} {$user.address2} {$user.place} {$user.zip} {$user.country}<br />
			<strong>{$smarty.const.LN_COMMENT}:</strong> <em>{$user.comment}</em><br />
		</td>
		<td colspan="2">
			<strong>{$smarty.const.LN_USER_LAST_LOGIN}:</strong> {$user.last}<br />
			<strong>{$smarty.const.LN_LANG}:</strong> {$user.lang}<br />
		</td>
		<td>
			{if !$user.approved}<a href="{$user.approve}">{$smarty.const.LN_APPROVE}</a><br />{/if}
			<a href="{$smarty.const.CF_BASE_URL}edituser/{$k}">{$smarty.const.LN_EDIT}</a><br />
			<a href="{$smarty.const.CF_BASE_URL}deleteuser/{$k}">{$smarty.const.LN_DELETE}</a>
		</td>
	</tr>
</tbody>
{/foreach}
</table>
{/if}
{if $comm}
<h3>{$smarty.const.LN_UNAPPROVED_COMMENTS}</h3>
{* To enable AJAX this table must have an id of "comments" and each user must be between it's own tbody tags *}
<table id="comments">
<thead>
	<tr>
		<th>{$smarty.const.LN_USER}</th>
		<th>{$smarty.const.LN_DATE}</th>
		<th>{$smarty.const.LN_COMMENT}</th>
		<th>{$smarty.const.LN_APPROVED}</th>
	</tr>
</thead>
{foreach from=$comm item=comm key=k}
<tbody>
	<tr>
		<td>{if $comm.uid}<a href="{$smarty.const.CF_BASE_URL}edituser/{$comm.uid}">{$comm.name}</a>{else}{$comm.name}{/if}</td>
		<td>{$comm.date}</td>
		<td>
			{if $comm.type == 'page'}{$smarty.const.LN_PAGE}: <a href="{$comm.linked.url}">{$comm.linked.title}</a>
			{elseif $comm.type == 'post'}{$smarty.const.LN_POST}: <a href="{$comm.linked.url}">{$comm.linked.title}</a>
			{else}
			{if $comm.linked.record == 'person'}{$smarty.const.LN_PERSON}: <a href="{$comm.linked.url}">{$comm.linked.givn} {$comm.linked.spfx_surn}</a> {if $comm.linked.begi or $comm.linked.end}({$comm.linked.begi}-{$comm.linked.end}){/if}{/if}
			{if $comm.linked.record == 'fam'}{$smarty.const.LN_FAMILY}: {if $comm.linked.husb}<a href="{$comm.linked.husb.url}">{$comm.linked.husb.npfx} {$comm.linked.husb.givn} {$comm.linked.husb.spfx_surn} {$comm.linked.husb.nsfx}</a>{/if} & {if $comm.linked.wife}<a href="{$comm.linked.wife.url}">{$comm.linked.wife.npfx} {$comm.linked.wife.givn} {$comm.linked.wife.spfx_surn} {$comm.linked.wife.nsfx}</a>{/if}{/if}
			{if $comm.linked.record == 'event'}{$smarty.const.LN_EVENT}: <a href="{$comm.linked.url}">{$comm.linked.type}: {$comm.linked.value} {$comm.linked.date} {$comm.linked.plac}</a>{/if}
			{if $comm.linked.record == 'media'}{$smarty.const.LN_MEDIA}: <a href="{$comm.linked.url}">{$comm.linked.titl}</a>{/if}
			{if $comm.linked.record == 'note'}{$smarty.const.LN_NOTE}: <a href="{$comm.linked.url}">{$comm.linked.titl}</a>{/if}
			{if $comm.linked.record == 'source'}{$smarty.const.LN_SOURCE}: <a href="{$comm.linked.url}">{$comm.linked.abbr}</a>{/if}
			{if $comm.linked.record == 'repository'}{$smarty.const.LN_REPOSITORY}: <a href="{$comm.linked.url}">{$comm.linked.name}</a>{/if}
			{/if}
		</td>
		<td>{$comm.approved}</td>
	</tr>
	<tr>
		<td colspan="3"><strong>{$smarty.const.LN_TEXT}:</strong> {$comm.text|strip_tags|truncate:200:"...":false}</td>
		<td>
			<a href="{$comm.approve}">{$smarty.const.LN_APPROVE}</a><br />
			<a href="{$comm.edit}">{$smarty.const.LN_EDIT}</a><br />
			<a href="{$comm.delete}">{$smarty.const.LN_DELETE}</a><br />
			<a href="{$smarty.const.CF_BASE_URL}comment/{$comm.linked.ltid}/{$comm.linked.lid}">{$smarty.const.LN_REPLY}</a>
		</td>
	</tr>
</tbody>
{/foreach}
</table>
{/if}
{if $admin}
<h3>Family Tree PHP</h3>
<h4><a href="http://www.familytreephp.com" target="_blank">familytreephp.com</a></h4>
<script src="http://feeds2.feedburner.com/familytreephp?format=sigpro" type="text/javascript" ></script><noscript><p>Subscribe to RSS headline updates from: <a href="http://feeds2.feedburner.com/familytreephp"></a><br/>Powered by FeedBurner</p> </noscript>
<h4><a href="http://forum.familytreephp.com" target="_blank">forum.familytreephp.com</a></h4>
<script src="http://feeds.feedburner.com/familytreephpforum?format=sigpro" type="text/javascript" ></script><noscript><p>Subscribe to RSS headline updates from: <a href="http://feeds.feedburner.com/familytreephpforum"></a><br/>Powered by FeedBurner</p> </noscript>
{if $used_lang == 'nl'}
<h4><a href="http://www.voorouders.net" target="_blank">voorouders.net (NL)</a></h4>
<script src="http://feeds.feedburner.com/voorouders?format=sigpro" type="text/javascript" ></script><noscript><p>Subscribe to RSS headline updates from: <a href="http://feeds.feedburner.com/voorouders"></a><br/>Powered by FeedBurner</p> </noscript>
<h4><a href="http://www.voorouders.net/forum" target="_blank">voorouders.net/forum (NL)</a></h4>
<script src="http://feeds.feedburner.com/vooroudersforum?format=sigpro" type="text/javascript" ></script><noscript><p>Subscribe to RSS headline updates from: <a href="http://feeds.feedburner.com/vooroudersforum"></a><br/>Powered by FeedBurner</p> </noscript>
{/if}
{/if}